package cn.estsh.i3plus.core.apiservice.auth.realm.strategy;

import cn.estsh.i3plus.core.api.iservice.base.ISystemLoginService;
import cn.estsh.i3plus.pojo.base.shirotoken.AdminToken;
import org.apache.shiro.authc.AuthenticationInfo;
import org.apache.shiro.authc.AuthenticationToken;
import org.apache.shiro.authc.SimpleAuthenticationInfo;
import org.apache.shiro.authz.AuthorizationInfo;
import org.apache.shiro.authz.SimpleAuthorizationInfo;
import org.apache.shiro.realm.AuthorizingRealm;
import org.apache.shiro.subject.PrincipalCollection;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author Wynne.Lu
 * @date 2021/1/18 下午2:32
 * @desc
 */
@Component
public class E9AuthRealm extends AuthorizingRealm {

    public static final Logger LOGGER = LoggerFactory.getLogger(E9AuthRealm.class);

    @Autowired
    private ISystemLoginService systemLoginService;

     public E9AuthRealm(){
        //添加支持的token
        this.setAuthenticationTokenClass(AdminToken.class);
    }

    @Override
    protected AuthorizationInfo doGetAuthorizationInfo(PrincipalCollection principalCollection) {
        return new SimpleAuthorizationInfo();
    }

    @Override
    protected AuthenticationInfo doGetAuthenticationInfo(AuthenticationToken authenticationToken) {
        return new SimpleAuthenticationInfo();
    }
}
